@use '@angular/material' as mat;
@include mat.core();

@import './palettes/rki-blue-palette.scss';
@import './palettes/rki-blue-warn-palette.scss';

$prophane-primary: mat.m2-define-palette($md-rkiblue);
$prophane-accent: mat.m2-define-palette($md-rkiblue-warn, 500, 200, 900);
$prophane-warn: mat.m2-define-palette($md-rkiblue-warn);

$prophane-theme: mat.m2-define-light-theme(
  (
    color: (
      primary: $prophane-primary,
      accent: $prophane-accent,
      warn: $prophane-warn,
    ),
  )
);

html,
body {
  margin: 0;
  height: 100%;
  font-family: Roboto, 'Helvetica Neue', sans-serif;
}
